Quagga缓冲区溢出漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1179892 漏洞类型 缓冲区溢出
发布时间 2010-04-06 更新时间 2012-04-10
CVE编号 CVE-2012-0249 CNNVD-ID CNNVD-201204-066
漏洞平台 N/A CVSS评分 3.3
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201204-066
|漏洞详情
Quagga是美国软件开发者KunihiroIshiguro所研发的一款路由软件套件。该套件可在多种平台上实现OSPFv2、OSPFv3、RIPv1/v2等协议,并提供路由重分布、路由映射等功能。Quagga0.99.20.1之前版本中的ospfd的OSPFv2实现的ospf_packet.c中的ospf_ls_upd_list_lsa函数中存在缓冲区溢出漏洞。远程攻击者可利用该漏洞借助包长小于包头内指定长度的LinkStateUpdate(也称LSUpdate)数据包,导致拒绝服务(断言失败或者守护进程退出)。
|参考资料

来源:US-CERTVulnerabilityNote:VU#551715
名称:VU#551715
链接:http://www.kb.cert.org/vuls/id/551715
来源:bugzilla.quagga.net
链接:https://bugzilla.quagga.net/show_bug.cgi?id=705
来源:NSFOCUS
名称:20685
链接:http://www.nsfocus.net/vulndb/20685
来源:NSFOCUS
名称:20680
链接:http://www.nsfocus.net/vulndb/20680